Subject: bug#77075: [PATCH] Prepare package.el to be published on GNU ELPA, [PATCH] Prepare package.el to be published on GNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Mar 2025 14:45:44 -0400

> I agree entirely (anecdotally+tangentially, I've recently been using a
> offline system where I can only download packages via my web browser and
> copying them onto the system via "scp", and installing packages with any
> dependencies is a major annoyance), but in current case, it seems
> unfeasible to publish package.el on ELPA that is still usable on older
> releases without the help of Compat.  I would certainly oppose adding
> any additional dependencies, and luckily in the future it might be
> unnecessary to install Compat given the stub we have added in Emacs 30. 

Note that I'm not discussing which packages we depend on, or which
features we use in the code.  I'm focusing on which versions we put in
`Package-Requires:`, because I've seen recently an increase in commits
that do nothing but bump one of those versions.  Sometimes it's
warranted, of course (it fixes a bug because the bump was made necessary
by an earlier change), but I want to resist against making such changes
"just because".

        Stefan